CropImageFilter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Class CropImageFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.CropImageFilter

All Implemented Interfaces:
  Cloneable, ImageConsumer

public class CropImageFilter
extends ImageFilter

An ImageFilter class for cropping images. This class extends the basic ImageFilter Class to extract a given rectangular region of an existing Image and provide a source for a new image containing just the extracted region. It is meant to be used in conjunction with a FilteredImageSource object to produce cropped versions of existing images.

See Also:
  `FilteredImageSource`, `ImageFilter`

Field Summary

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`CropImageFilter(int x, int y, int w, int h)` Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

Method Summary
`void` | `setDimensions(int w, int h)` Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)` Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)` Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.
`void` | `setProperties(Hashtable props)` Passes along the properties from the source object after adding a property indicating the cropped region.

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setColorModel, setHints`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CropImageFilter

    public CropImageFilter(int x,
                           int y,
                           int w,
                           int h)

  Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

Parameters:
  `x` - the x location of the top of the rectangle to be extracted
  `y` - the y location of the top of the rectangle to be extracted
  `w` - the width of the rectangle to be extracted
  `h` - the height of the rectangle to be extracted

Method Detail

### setProperties

    public void setProperties(Hashtable props)

  Passes along the properties from the source object after adding a property indicating the cropped region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Specified by:
    `setProperties` in interface `ImageConsumer`
  Overrides:
    `setProperties` in class `ImageFilter`
  Parameters:
    `props` - the list of properties to be associated with this image

### setDimensions

    public void setDimensions(int w,
                              int h)

  Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Specified by:
    `setDimensions` in interface `ImageConsumer`
  Overrides:
    `setDimensions` in class `ImageFilter`
  See Also:
    `ImageConsumer`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Specified by:
    `setPixels` in interface `ImageConsumer`
  Overrides:
    `setPixels` in class `ImageFilter`
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Specified by:
    `setPixels` in interface `ImageConsumer`
  Overrides:
    `setPixels` in class `ImageFilter`
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.